import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import React, { useState } from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import SetupPage from "./";
storiesOf("SetupPage", module).add("Empty Dataset", function () {
  var _useState = useState({
    interface: {}
  }),
      _useState2 = _slicedToArray(_useState, 2),
      dataset = _useState2[0],
      setDataset = _useState2[1];

  return /*#__PURE__*/React.createElement(SetupPage, {
    dataset: dataset,
    onChange: setDataset,
    onClearLabelData: action("onClearLabelData")
  });
});